WinBase.FILE_ID_INFO.FILE_ID_128 (JNA API)

com.sun.jna.platform.win32

## Class WinBase.FILE_ID_INFO.FILE_ID_128

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_ID_INFO.FILE_ID_128

- Enclosing class:
    WinBase.FILE_ID_INFO

      @Structure.FieldOrder(value="Identifier")
      public static class WinBase.FILE_ID_INFO.FILE_ID_128
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.BYTE[]` | `Identifier`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FILE_ID_128()`
    `FILE_ID_128(Pointer memory)`
    `FILE_ID_128(WinDef.BYTE[] Identifier)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Identifier

          public WinDef.BYTE[] Identifier

  - ### Constructor Detail

    - #### FILE_ID_128

          public FILE_ID_128()

    - #### FILE_ID_128

          public FILE_ID_128(Pointer memory)

    - #### FILE_ID_128

          public FILE_ID_128(WinDef.BYTE[] Identifier)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.